'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

var _classlist = require('classlist');

var _classlist2 = _interopRequireDefault(_classlist);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ModalContent = (function (_Component) {
  (0, _inherits3.default)(ModalContent, _Component);

  function ModalContent(props) {
    (0, _classCallCheck3.default)(this, ModalContent);

    var _this = (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(ModalContent).call(this, props));

    _this.relativeValue = 0;
    return _this;
  }

  (0, _createClass3.default)(ModalContent, [{
    key: 'getChildContext',
    value: function getChildContext() {
      return {
        modalContent: this
      };
    }
  }, {
    key: 'backUp',
    value: function backUp() {
      this.relativeValue += 20;
      this.transform();
      var modalContent = this.props.modal.context.modalContent;

      if (modalContent) {
        modalContent.backUp();
      }
    }
  }, {
    key: 'goForward',
    value: function goForward() {
      this.relativeValue -= 20;
      this.transform();
      var modalContent = this.props.modal.context.modalContent;

      if (modalContent) {
        modalContent.goForward();
      }
    }
  }, {
    key: 'transform',
    value: function transform() {
      this.modalNode.style.transform = 'translateY(-' + this.relativeValue + 'px)';
    }
  }, {
    key: 'handleModalClick',
    value: function handleModalClick(e) {
      var _this2 = this;

      if (e.target.className === 'bfd-modal__modal') {
        if (!this.props.lock) {
          this.props.close();
        } else {
          (function () {
            var LOCK_CLASSNAME = 'bfd-modal__modal-dialog--lock';
            var END_EVENT = 'animationend';
            (0, _classlist2.default)(_this2.modalNode).add(LOCK_CLASSNAME);
            var onAnimationEnd = function onAnimationEnd() {
              _this2.modalNode.removeEventListener(END_EVENT, onAnimationEnd);
              (0, _classlist2.default)(_this2.modalNode).remove(LOCK_CLASSNAME);
            };
            _this2.modalNode.addEventListener(END_EVENT, onAnimationEnd);
          })();
        }
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var _props = this.props;
      var children = _props.children;
      var className = _props.className;
      var lock = _props.lock;
      var size = _props.size;
      var other = (0, _objectWithoutProperties3.default)(_props, ['children', 'className', 'lock', 'size']);

      return _react2.default.createElement(
        'div',
        (0, _extends3.default)({ className: (0, _classnames3.default)('bfd-modal', (0, _defineProperty3.default)({}, 'bfd-modal--' + size, size), className) }, other),
        _react2.default.createElement('div', { className: 'bfd-modal__backdrop' }),
        _react2.default.createElement(
          'div',
          {
            className: 'bfd-modal__modal',
            onClick: this.handleModalClick.bind(this)
          },
          _react2.default.createElement(
            'div',
            { className: 'bfd-modal__modal-dialog', ref: function ref(node) {
                return _this3.modalNode = node;
              } },
            _react2.default.createElement(
              'div',
              { className: 'bfd-modal__modal-content' },
              children
            )
          )
        )
      );
    }
  }]);
  return ModalContent;
})(_react.Component); /**
                       * Copyright 2016-present, Baifendian, Inc.
                       * All rights reserved.
                       *
                       * This source code is licensed under the BSD-style license found in the
                       * LICENSE file in the root directory of this source tree. An additional grant
                       * of patent rights can be found in the PATENTS file in the same directory.
                       */

ModalContent.childContextTypes = {
  modalContent: _react.PropTypes.instanceOf(ModalContent)
};

exports.default = ModalContent;