'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _NavItem = require('./NavItem');

var _NavItem2 = _interopRequireDefault(_NavItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright 2016-present, Baifendian, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 */

var IndexNavItem = function IndexNavItem(props) {
  return _react2.default.createElement(_NavItem2.default, (0, _extends3.default)({ index: true }, props));
};

IndexNavItem.propTypes = {

  // 菜单图标，参考 Icon 组件 type 属性
  icon: _react.PropTypes.string,

  // 菜单标题
  title: _react.PropTypes.string
};

exports.default = IndexNavItem;