'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _d = require('d3');

var _d2 = _interopRequireDefault(_d);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _class = (function () {
  function _class(config) {
    (0, _classCallCheck3.default)(this, _class);

    this.container = config.container;
  }

  (0, _createClass3.default)(_class, [{
    key: 'create',
    value: function create(dataset, callback) {
      var container = this.container;
      _d2.default.select(container).append('div').attr('class', 'legend').selectAll('div').data(dataset).enter().append('div').style('cursor', 'pointer').style('text-align', 'center').each(function (d, i) {
        var node = _d2.default.select(this);
        node.append('span').attr('class', 'line').style('background-color', dataset[i].color);
        node.append('br');
        node.append('span').attr('class', 'text').text(d.name);
      }).on('click', function (d, i) {
        var node = _d2.default.select(this);
        var isDisabled = node.classed('disabled');
        node.classed('disabled', !isDisabled);
        dataset[i].disabled = !isDisabled;
        if (typeof callback == 'function') {
          callback(i, !isDisabled);
        }
      });
    }
  }]);
  return _class;
})(); /**
       * Copyright 2016-present, Baifendian, Inc.
       * All rights reserved.
       *
       * This source code is licensed under the BSD-style license found in the
       * LICENSE file in the root directory of this source tree. An additional grant
       * of patent rights can be found in the PATENTS file in the same directory.
       */

exports.default = _class;