'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Checkbox = require('../Checkbox');

require('./main.css');

require('../table.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Rows = (function (_Component) {
  (0, _inherits3.default)(Rows, _Component);

  function Rows(props) {
    (0, _classCallCheck3.default)(this, Rows);

    var _this = (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(Rows).call(this, props));

    _this.column = {};
    _this.selectedRow = {};
    return _this;
  }

  (0, _createClass3.default)(Rows, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      this.column.primary = this.getPrimaryKey(this.props.column);
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      var _this2 = this;

      if (this.props.rows !== nextProps.rows) {
        (function () {
          var selectRow = [];
          nextProps.rows.map(function (item) {
            if (_this2.column.primary) {
              if (_this2.column.primary && item.isSelect) {
                _this2.selectedRow[item[_this2.column.primary]] = item;
              }
              if (_this2.selectedRow[item[_this2.column.primary]]) {
                item.isSelect = true;
                selectRow.push(item);
                if (selectRow.length == nextProps.rows.length) {
                  _this2.props.onCheckboxSelectAll && _this2.props.onCheckboxSelectAll(true);
                }
              }
            }
          });
        })();
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var _props = this.props;
      var rows = _props.rows;
      var column = _props.column;
      var noDataContent = _props.noDataContent;

      return _react2.default.createElement(
        'tbody',
        null,
        rows.length > 0 ? rows.map(function (item, j) {
          if (_this3.column.primary) {
            if (item.isSelect) {
              _this3.selectedRow[item[_this3.column.primary]] = item;
            } else {
              delete _this3.selectedRow[item[_this3.column.primary]];
            }
          }

          var isSelect = item.isSelect || false;
          var isDisabled = item.disabled || false;
          var checkboxTd = _this3.props.onCheckboxSelect ? _react2.default.createElement(
            'td',
            null,
            _react2.default.createElement(_Checkbox.Checkbox, { disabled: isDisabled, checked: isSelect, onClick: _this3.handleCheckboxClick.bind(_this3), onChange: _this3.handleCheckboxChange.bind(_this3, item) })
          ) : null;
          return _react2.default.createElement(
            'tr',
            { key: j, onClick: _this3.handleRowClick.bind(_this3, item) },
            checkboxTd,
            column.map(function (columns, i) {
              for (var col in columns) {
                // 序号
                if (columns[col] === 'sequence') {
                  return _react2.default.createElement(
                    'td',
                    { key: String(i) + j },
                    j + 1
                  );
                }
                // 操作
                if (columns[col] == 'operation') {
                  return _react2.default.createElement(
                    'td',
                    { key: String(i) + j },
                    columns['render'](item, _this3)
                  );
                }
                // 正常非字段编辑列
                if (columns[col] !== 'operation' && columns[col] !== 'sequence' && col == 'key') {
                  var style = { display: columns.hide == true ? 'none' : '' };
                  if (typeof columns['render'] === 'function') {
                    return _react2.default.createElement(
                      'td',
                      { style: style, key: String(i) + j },
                      columns['render'](item[columns[col]], item)
                    );
                  } else {
                    return _react2.default.createElement(
                      'td',
                      { style: style, key: String(i) + j },
                      item[columns[col]]
                    );
                  }
                }
              }
            })
          );
        }) : _react2.default.createElement(
          'tr',
          null,
          _react2.default.createElement(
            'td',
            { colSpan: column.length, className: 'bfd-fixedtable__empty' },
            noDataContent
          )
        )
      );
    }
  }, {
    key: 'getPrimaryKey',
    value: function getPrimaryKey(column) {
      var key = undefined;
      column.map(function (item) {
        if (item.primary === true) {
          key = item.key;
        }
      });
      return key;
    }
  }, {
    key: 'handleCheckboxClick',
    value: function handleCheckboxClick(event) {
      event = event ? event : window.event;
      event.stopPropagation();
    }
  }, {
    key: 'handleCheckboxChange',
    value: function handleCheckboxChange(row) {
      var rowId = row[this.column.primary];
      row.isSelect = !row.isSelect;
      if (row.isSelect) {
        this.selectedRow[rowId] = row;
      } else {
        delete this.selectedRow[rowId];
      }

      var selectRow = [];
      this.props.rows.map(function (item) {
        if (item.isSelect) {
          selectRow.push(item);
        }
      });

      this.setState({
        t: +new Date()
      });

      this.props.onSelect(row.isSelect, row, selectRow);
    }
  }, {
    key: 'handleCheckboxClick',
    value: function handleCheckboxClick(event) {
      event = event ? event : window.event;
      event.stopPropagation();
    }
  }, {
    key: 'handleRowClick',
    value: function handleRowClick(item) {
      this.props.onRowClick && this.props.onRowClick(item);
    }
  }]);
  return Rows;
})(_react.Component); /**
                       * Copyright 2016-present, Baifendian, Inc.
                       * All rights reserved.
                       *
                       * This source code is licensed under the BSD-style license found in the
                       * LICENSE file in the root directory of this source tree. An additional grant
                       * of patent rights can be found in the PATENTS file in the same directory.
                       */

var FixedTable = (function (_Component2) {
  (0, _inherits3.default)(FixedTable, _Component2);

  function FixedTable(props) {
    (0, _classCallCheck3.default)(this, FixedTable);

    var _this4 = (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(FixedTable).call(this));

    _this4.items = [];
    _this4.state = {
      order: '',
      url: props.url || '',
      isSelectAll: false,
      items: {
        totalList: []
      }
    };
    return _this4;
  }

  (0, _createClass3.default)(FixedTable, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      if (this.props.data) {
        this.setState({
          items: {
            totalList: this.props.data || []
          }
        });
      }
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (this.props.data !== nextProps.data) {
        this.setState({
          items: {
            totalList: nextProps.data
          },
          isSelectAll: false
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var self = this;
      var _props2 = this.props;
      var className = _props2.className;
      var column = _props2.column;
      var data = _props2.data;
      var height = _props2.height;
      var other = (0, _objectWithoutProperties3.default)(_props2, ['className', 'column', 'data', 'height']);

      var checkboxTh = this.props.onCheckboxSelect ? _react2.default.createElement(
        'th',
        null,
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(_Checkbox.Checkbox, { checked: this.state.isSelectAll, onChange: this.handleCheckboxAllChange.bind(this) })
        )
      ) : null;
      return _react2.default.createElement(
        'div',
        { className: 'bfd-fixedtable--fixed' },
        _react2.default.createElement(
          'div',
          { style: { overflowY: 'auto', height: this.props.height + 'px' } },
          _react2.default.createElement(
            'table',
            (0, _extends3.default)({ className: (0, _classnames2.default)('bfd-fixedtable', className) }, other),
            _react2.default.createElement(
              'thead',
              null,
              _react2.default.createElement(
                'tr',
                null,
                checkboxTh,
                column.map(function (head, i) {
                  var style = {};
                  var orderClassName = '';
                  if (head.width) {
                    style.width = head.width;
                  }
                  if (head.hide === true) {
                    style.display = 'none';
                  }
                  if (head['order'] === true) {
                    orderClassName = 'bfd-datatable--sorting';
                  } else if (head['order'] === 'asc') {
                    orderClassName = 'bfd-datatable--sorting_asc-default';
                  } else if (head['order'] === 'desc') {
                    orderClassName = 'bfd-datatable--sorting_desc-default';
                  }

                  return _react2.default.createElement(
                    'th',
                    {
                      key: head['title'],
                      style: style,
                      onClick: self.orderClick.bind(self, head, i) },
                    _react2.default.createElement(
                      'div',
                      { ref: i, style: style, className: orderClassName },
                      head['title']
                    )
                  );
                })
              )
            ),
            _react2.default.createElement(Rows, {
              rows: this.state.items.totalList,
              onRowClick: this.handleRowClick.bind(this),
              onSelect: this.handleCheckboxChange.bind(this),
              onCheckboxSelect: this.props.onCheckboxSelect,
              onCheckboxSelectAll: this.setCheckboxAll.bind(this),
              column: this.props.column,
              noDataContent: this.props.noDataContent
            })
          )
        )
      );
    }
  }, {
    key: 'orderClick',
    value: function orderClick(column, i) {
      if (column.order) {
        var orderEl = this.refs[i];
        var orderElAttr = this.getOrderAttribute(i);
        if (orderElAttr == null || !orderElAttr) {
          if (column.order === true) {
            orderEl.className = 'bfd-datatable--sorting_asc';
            orderEl.setAttribute('order', 'asc');
            this.setState({
              order: '&key=' + column['key'] + '&sort=asc'
            });
            this.props.onOrder && this.props.onOrder(column['key'], 'asc');
          } else if (column.order === 'asc') {
            orderEl.className = 'bfd-datatable--sorting_asc';
            orderEl.setAttribute('order', 'asc');
            this.setState({
              order: '&key=' + column['key'] + '&sort=asc'
            });
            this.props.onOrder && this.props.onOrder(column['key'], 'asc');
          } else if (column.order === 'desc') {
            orderEl.className = 'bfd-datatable--sorting_desc';
            orderEl.setAttribute('order', 'desc');
            this.setState({
              order: '&key=' + column['key'] + '&sort=desc'
            });
            this.props.onOrder && this.props.onOrder(column['key'], 'desc');
          }
          return;
        }
        if (orderElAttr == 'asc') {
          if (column.order === true) {
            this.refs[i].className = 'bfd-datatable--sorting_desc';
            this.refs[i].setAttribute('order', 'desc');
            this.setState({
              order: '&key=' + column['key'] + '&sort=desc'
            });
            this.props.onOrder && this.props.onOrder(column['key'], 'desc');
          } else if (column.order === 'asc') {
            this.refs[i].className = 'bfd-datatable--sorting_asc-default';
            this.refs[i].setAttribute('order', '');
            this.setState({
              order: '&key=' + column['key']
            });
            this.props.onOrder && this.props.onOrder(column['key'], '');
          }
          return;
        }
        if (orderElAttr == 'desc') {
          if (column.order === true) {
            this.refs[i].className = 'bfd-datatable--sorting_asc';
            this.refs[i].setAttribute('order', 'asc');
            this.setState({
              order: '&key=' + column['key'] + '&sort=asc'
            });
            this.props.onOrder && this.props.onOrder(column['key'], 'asc');
          } else if (column.order === 'desc') {
            this.refs[i].className = 'bfd-datatable--sorting_desc-default';
            this.refs[i].setAttribute('order', '');
            this.setState({
              order: '&key=' + column['key']
            });
            this.props.onOrder && this.props.onOrder(column['key'], '');
          }
          return;
        }
      }
    }
  }, {
    key: 'getOrderAttribute',
    value: function getOrderAttribute(refName) {
      return this.refs[refName].getAttribute('order');
    }
  }, {
    key: 'handleSuccess',
    value: function handleSuccess(data) {
      this.setState({
        items: data,
        isSelectAll: false
      });
    }
  }, {
    key: 'handleCheckboxAllChange',
    value: function handleCheckboxAllChange() {
      var isAll = !this.state.isSelectAll;
      // const changeRows = []
      var rows = this.state.items.totalList;
      rows.map(function (item) {
        if (item.isSelect !== isAll && !item.disabled) {
          item.isSelect = isAll;
          // changeRows.push(item)
        }
      });
      this.setCheckboxAll(isAll);
      var selectAllFn = this.props.onCheckboxSelect;
      selectAllFn && selectAllFn(isAll ? rows : []);
    }
  }, {
    key: 'setCheckboxAll',
    value: function setCheckboxAll(isAll) {
      this.setState({
        isSelectAll: isAll
      });
    }
  }, {
    key: 'handleCheckboxChange',
    value: function handleCheckboxChange(checked, row, rows) {
      var selectFn = this.props.onCheckboxSelect;
      selectFn && selectFn(rows);
      if (!checked) {
        this.setState({
          isSelectAll: false
        });
      }
      if (rows.length == this.state.items.totalList.length) {
        this.setState({
          isSelectAll: true
        });
      }
    }
  }, {
    key: 'handleRowClick',
    value: function handleRowClick(row) {
      this.props.onRowClick && this.props.onRowClick(row);
    }
  }]);
  return FixedTable;
})(_react.Component);

FixedTable.defaultProps = {
  noDataContent: '无数据'
};

FixedTable.propTypes = {

  /**
   * 数据表格表头列名称，目前支持的配置项如下：
   * ```js
   * [{
   *  title: '姓名', // 列头显示的文本
   *  key: 'name', // 映射数据字段名称
   *  primary: true, //主键标识，默认为false
   *  width: '20%', // 列宽度设置
   *  order: true, // 排序设置,true: 支持升序和降序，asc: 只支持升序，desc: 只支持降序，与onOrder事件并用
   *  // 列渲染的回调函数，可以自定义返回显示数据，text为默认的列值，item为当前行记录
   *  render: (text, item) => {
        return item.country + "/" + item.area
      }
   * },
   * ...
   * ]
   * ```
   */
  column: _react.PropTypes.array.isRequired,

  // DataTable显示数据，一次性加载所有data数据！
  data: _react.PropTypes.array.isRequired,

  // 表格高度
  height: _react.PropTypes.number.isRequired,

  // 复选框点击事件，返回被选中的行记录
  onCheckboxSelect: _react.PropTypes.func,

  // 行点击事件，返回被选中的行记录
  onRowClick: _react.PropTypes.func,

  // 列名称点击排序事件，返回列名称和排序状态
  onOrder: _react.PropTypes.func,

  // 无数据显示内容，默认`无数据`
  noDataContent: _react.PropTypes.node
};

exports.default = FixedTable;